ChangeSet 1.1311, 2003/06/05 12:03:29-07:00, greg@kroah.com

[PATCH] PCI: remove direct access of pci_devices from arch/m68k/atari/hades-pci.c


 arch/m68k/atari/hades-pci.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/arch/m68k/atari/hades-pci.c b/arch/m68k/atari/hades-pci.c
--- a/arch/m68k/atari/hades-pci.c	Thu Jun  5 13:53:11 2003
+++ b/arch/m68k/atari/hades-pci.c	Thu Jun  5 13:53:11 2003
@@ -297,14 +297,14 @@
 			    IRQ_TT_MFP_SCC,	/* Slot 2. */
 			    IRQ_TT_MFP_SCSIDMA	/* Slot 3. */
 			  };
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 	unsigned char slot;
 
 	/*
 	 * Go through all devices, fixing up irqs as we see fit:
 	 */
 
-	for (dev = pci_devices; dev; dev = dev->next)
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL)
 	{
 		if (dev->class >> 16 != PCI_BASE_CLASS_BRIDGE)
 		{
